%define __libtoolize    /bin/true

Packager: Agent Smith (ruidobranco@yahoo.com.br)

%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define name	pcsxr
%define version	1.9.92
%define release	%mkrel 1

Summary:	Open Source Sony PlayStation emulator
Name:		%{name}
Version:	%{version}
Release:	%{release}

URL:            http://www.codeplex.com/pcsxr
License:        GNU General Public License (GPL)
Group:          Emulators
Source:         %{name}_%{version}-1.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

Provides:	pcsx
Provides:	pcsxr
Obsoletes: 	pcsx-df

 
AutoReqProv:        no
 

%ifarch x86_64
BuildRequires:  lib64gtk+2.0_0-devel nasm lib64xext-devel lib64mesagl1-devel lib64glade2.0_0-devel gettext lib64bzip2-devel lib64xv-devel lib64xtst-devel lib64SDL-devel intltool
%else
BuildRequires:  libgtk+2.0_0-devel nasm libxext6-devel libmesagl1-devel libglade2.0_0-devel gettext libbzip2-devel libxv1-devel libxtst6-devel libSDL-devel intltool
%endif

%description
This application emulates all components of a Sony PlayStation on
regular PC hardware. It features a sophisticated plugin system allowing
for easy extension and is highly configurable.

To be able to play commercial games on this emulator you need an image
of a Sony PlayStation BIOS ROM. The BIOS is copyrighted by Sony
Computer Entertainment and can therefore not be included in this
package.

BIOS images can be placed in ~/.pcsx/bios or %_datadir/psemu/bios.

Authors:
--------
    Linuzappz <linuzappz@pcsx.net>
    Shadow  <shadow@pcsx.net>
    Pete Bernert <blackdove@addcom.de>
    Lewpy <lewpy@psxemu.com>
    lu_zero
    Darko Matesic <thedarkma@ptt.yu>
    syo <syo68k@geocities.co.jp>
    Lamer0 <Lamer0@mediaone.net>
    Ryan Schultz <schultz.ryan@gmail.com>
    Andrew Burton <adb@iinet.net.au>
    Stephen Chao <schao@myrealbox.com>
    Marcus Comstedt <marcus@mc.pp.se>
    Stefan Sikora <hoshy@schrauberstube.de>
    Wei Mingzhi <whistler_wmz@users.sf.net>
    edgbla <edgbla@yandex.ru>

%prep
%setup -n pcsxr

%build

CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -pthread -w" %configure --prefix=/usr  --enable-opengl

%ifarch x86_64
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -pthread -w" %configure --prefix=/usr --libdir=/usr/lib64  --enable-opengl
%else
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -pthread -w" %configure --prefix=/usr  --enable-opengl
%endif

make %{?jobs:-j%jobs}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%update_menus

%postun -p /sbin/ldconfig
%update_menus

%files
%defattr (-,root,root)
%doc AUTHORS ChangeLog INSTALL NEWS README doc/*.txt
%_bindir/pcsx
%_datadir/applications/*.desktop
%_libdir/games
%doc %_mandir/man1/pcsx.1*
%_datadir/pcsx
%_datadir/psemu
%_datadir/locale/zh_CN/LC_MESSAGES/*
%_datadir/locale/zh_TW/LC_MESSAGES/*
%_datadir/locale/pt_BR/LC_MESSAGES/*
%_datadir/locale/ru_RU/LC_MESSAGES/*
%_datadir/locale/it/LC_MESSAGES/*
%_datadir/locale/fr_FR/LC_MESSAGES/*
%_datadir/pixmaps/*


%changelog
* Sat Sep 01 2012 Neal <nealbrks0 at gmail dot com> 1.9.92-1pclos2012
- process for 64bit

* Tue Aug 28 2012 Agent Smith <ruidobranco@yahoo.com.br> 1.9.92-1pclos2012
- Created package 

